Jitsi Meet desktop application powered by
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

200 lines
5.6 KiB

6 years ago
{
"name": "jitsi-meet-electron",
6 months ago
"version": "2021.12.2",
6 years ago
"description": "Electron application for Jitsi Meet",
"main": "./build/main.js",
"productName": "Jitsi Meet",
"private": true,
6 years ago
"scripts": {
"start": "webpack --config ./webpack.main.js --mode development && concurrently \"npm:watch\" \"electron ./build/main.js\"",
"clean": "rm -rf node_modules build dist",
"lint": "eslint . && flow",
"build": "webpack --config ./webpack.main.js --mode production && webpack --config ./webpack.renderer.js --mode production",
"dist": "npm run build && electron-builder",
"postinstall": "patch-package && electron-builder install-app-deps",
"watch": "webpack --config ./webpack.renderer.js --mode development --watch --watch-poll"
6 years ago
},
"engines": {
"node": ">=14.0.0"
},
"build": {
"appId": "org.jitsi.jitsi-meet",
"productName": "Jitsi Meet",
"generateUpdatesFilesForAllChannels": true,
mac: Enable autoupdate by sign and notarize via github action (#581) mac: Enable autoupdate by sign and notarize via github action Signed and notarized binaries are the precondition for autoupdates on mac. Additionally Gatekeeper on 10.15+ is happy and allows to open the app instead of blocking it. The notarize step is added unconditionally, as it only emits a warning if the notarization API key is not set, but it does not break the build. This is an upstreaming of https://github.com/csett86/jitsi-meet-electron where it worked since March 2020. On CI, only sign if not triggered by pull request, as these will fail (as secrets are not available to pull request builds). The required github secrets (signing key, cert and notarize API login, password and team id) are: Signing Open the Keychain Access app. Export all certificates (Developer ID Certificate) related to your app into a single file (e.g. certs.p12) and set a strong password. Base64-encode your certificates using the following command: base64 -i certs.p12 -o encoded.txt In the GitHub repository, go to Settings → Secrets and add the following two variables: mac_certs: Your base64 encoded certificates, i.e. the content of the encoded.txt file you created before mac_certs_password: The password you set when exporting the certificates Notarization Create an app-specific password for your apple id: https://support.apple.com/de-de/HT204397 In the GitHub repository, go to Settings → Secrets and add the following three variables: apple_id: your apple id apple_id_password: the just created app-specific password for your apple id team_id: your team short name: https://github.com/electron/electron-notarize#notes-on-your-team-short-name Co-authored-by: Saúl Ibarra Corretgé <s@saghul.net>
7 months ago
"afterSign": "./notarize.js",
"files": [
"build",
"resources",
"!app",
"!main.js"
],
"mac": {
"artifactName": "jitsi-meet.${ext}",
"target": [
{
"arch": "universal",
"target": "dmg"
},
{
"arch": "universal",
"target": "zip"
}
],
"category": "public.app-category.video",
"darkModeSupport": true,
"hardenedRuntime": true,
"entitlements": "entitlements.mac.plist",
"entitlementsInherit": "entitlements.mac.plist",
"asarUnpack": "**/*.node",
"extendInfo": {
"NSCameraUsageDescription": "Jitsi Meet requires access to your camera in order to make video-calls.",
"NSMicrophoneUsageDescription": "Jitsi Meet requires access to your microphone in order to make calls (audio/video).",
"LSMultipleInstancesProhibited": true
}
},
"mas": {
"entitlements": "resources/entitlements.mas.plist",
"entitlementsInherit": "resources/entitlements.mas.inherit.plist",
"hardenedRuntime": false
},
"linux": {
"artifactName": "jitsi-meet-${arch}.${ext}",
"category": "VideoConference;AudioVideo;Audio;Video;Network",
"description": "Jitsi Meet Desktop App",
"desktop": {
"Comment[hu]": "Asztali Jitsi Meet-alkalmazás"
},
"executableName": "jitsi-meet",
"target": [
{
"arch": "x64",
"target": "AppImage"
},
{
"arch": "x64",
"target": "deb"
}
]
},
"deb": {
"depends": [
"libgtk-3-0",
"libnss3",
"libxtst6",
"xdg-utils",
"libatspi2.0-0",
"libuuid1"
]
},
"win": {
"artifactName": "jitsi-meet.${ext}",
"target": [
{
"arch": [
"ia32",
"x64"
],
"target": "nsis"
}
]
},
"directories": {
"buildResources": "resources"
},
"protocols": [
{
"name": "jitsi-protocol",
"role": "Viewer",
"schemes": [
"jitsi-meet"
]
}
]
},
6 years ago
"pre-commit": [
"lint"
6 years ago
],
"repository": {
"type": "git",
"url": "git://github.com/jitsi/jitsi-meet-electron"
},
"keywords": [
"jingle",
"webrtc",
"xmpp",
"electron",
"jitsi-meet"
6 years ago
],
"author": "Jitsi Team <support@jitsi.org>",
6 years ago
"readmeFilename": "README.md",
"license": "Apache-2.0",
"dependencies": {
"@jitsi/electron-sdk": "^3.0.2",
"electron-debug": "^3.2.0",
"electron-reload": "^1.5.0"
},
"devDependencies": {
"@atlaskit/button": "^10.1.3",
"@atlaskit/css-reset": "^3.0.8",
"@atlaskit/droplist": "^7.0.19",
"@atlaskit/field-text": "^7.1.0",
"@atlaskit/icon": "^15.0.3",
"@atlaskit/navigation": "^33.3.10",
"@atlaskit/onboarding": "^6.2.0",
"@atlaskit/page": "^8.0.12",
"@atlaskit/panel": "^0.3.5",
"@atlaskit/spinner": "^9.0.13",
"@atlaskit/theme": "^7.0.5",
"@atlaskit/toggle": "^5.0.15",
"@babel/core": "7.9.0",
"@babel/plugin-proposal-class-properties": "7.8.3",
"@babel/plugin-proposal-export-namespace-from": "7.8.3",
"@babel/plugin-transform-flow-strip-types": "7.9.0",
"@babel/preset-env": "7.9.0",
"@babel/preset-flow": "7.9.0",
"@babel/preset-react": "7.9.4",
"@jitsi/js-utils": "2.0.0",
"@svgr/webpack": "5.4.0",
"babel-eslint": "10.0.3",
"babel-loader": "8.1.0",
"concurrently": "5.1.0",
"css-loader": "3.5.0",
"electron": "16.0.4",
"electron-builder": "22.11.11",
"electron-context-menu": "^2.5.0",
"electron-is-dev": "^1.2.0",
"electron-log": "^4.3.2",
mac: Enable autoupdate by sign and notarize via github action (#581) mac: Enable autoupdate by sign and notarize via github action Signed and notarized binaries are the precondition for autoupdates on mac. Additionally Gatekeeper on 10.15+ is happy and allows to open the app instead of blocking it. The notarize step is added unconditionally, as it only emits a warning if the notarization API key is not set, but it does not break the build. This is an upstreaming of https://github.com/csett86/jitsi-meet-electron where it worked since March 2020. On CI, only sign if not triggered by pull request, as these will fail (as secrets are not available to pull request builds). The required github secrets (signing key, cert and notarize API login, password and team id) are: Signing Open the Keychain Access app. Export all certificates (Developer ID Certificate) related to your app into a single file (e.g. certs.p12) and set a strong password. Base64-encode your certificates using the following command: base64 -i certs.p12 -o encoded.txt In the GitHub repository, go to Settings → Secrets and add the following two variables: mac_certs: Your base64 encoded certificates, i.e. the content of the encoded.txt file you created before mac_certs_password: The password you set when exporting the certificates Notarization Create an app-specific password for your apple id: https://support.apple.com/de-de/HT204397 In the GitHub repository, go to Settings → Secrets and add the following three variables: apple_id: your apple id apple_id_password: the just created app-specific password for your apple id team_id: your team short name: https://github.com/electron/electron-notarize#notes-on-your-team-short-name Co-authored-by: Saúl Ibarra Corretgé <s@saghul.net>
7 months ago
"electron-notarize": "1.1.1",
"electron-react-devtools": "0.5.3",
"electron-updater": "^4.3.9",
"electron-window-state": "^5.0.3",
"eslint": "6.5.1",
"eslint-config-jitsi": "github:jitsi/eslint-config-jitsi#1.0.2",
"eslint-plugin-flowtype": "4.7.0",
"eslint-plugin-import": "2.20.2",
"eslint-plugin-jsdoc": "22.1.0",
"eslint-plugin-react": "7.19.0",
"file-loader": "6.0.0",
"flow-bin": "0.109.0",
"history": "^4.10.1",
"html-webpack-plugin": "4.0.4",
"i18next": "^19.9.2",
"moment": "^2.29.1",
"mousetrap": "^1.6.5",
"patch-package": "6.2.2",
"react": "^16.14.0",
"react-dom": "^16.14.0",
"react-i18next": "^11.8.12",
"react-redux": "^5.1.2",
"react-router-redux": "^5.0.0-alpha.9",
"redux": "^4.0.5",
"redux-logger": "^3.0.6",
"redux-persist": "^5.10.0",
"source-map-support": "^0.5.19",
"style-loader": "1.1.3",
"styled-components": "^3.4.10",
"webpack": "4.42.1",
"webpack-cli": "3.3.11"
6 years ago
}
}